Subject: Re: bug#49039: Aspell in Emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Jun 2021 21:12:22 +0300

> From: [email-masked]
> Cc: [email-masked]
> Date: Tue, 15 Jun 2021 20:03:53 +0200 (CEST)
> 
> > > It looks to me that it is basically a hack of ispell, likely the result that it was easier 
> > > and quicker for the developer to do it that way. Correct me if I am wrong.
> 
> > You are wrong. Please read the code, don't just judge it by the name
> of the package (which is just a historic incident).
> 
> It is valuable to go past the historic after significant time has passed as it easily leads
> to confusion or obfuscation.
> 
> May I suggest that the generic framework uses a name which in different that using
> the old ispell name. And within that framowork, one could call ispell, aspell or whatever,
> so there is no longer a conflict of understanding between ispell the framework and ispell
> the program.

We are not going to change the names, sorry.  Too many Emacs users are
used to these names.

> > > Had tried lookinf for the self documentation for ispell-program-name, but could not 
> > > access anything.
> 
> > "C-h v ispell-program-name RET" would have shown its documentation.
> 
> There are no matches for ispell-program-name if you try to do C-h v ispell-program-name

There will be once you invoke the first ispell-* command.

> > In any case, since Emacs already looks for known spell-checkers, and
> > already prefers aspell, my conclusion from the fact that it didn't
> > work for you is that you have some unusual setup, which should be
> > quite rare nowadays. The defaults are set such that the user will not
> > need to know about this variable.
> 
> There has been a misunderstanding that aspell was not working.  It was 
> working but my impression was that using ispell on emacs was using
> ispell the program.
> 
> I am convinced that the user should know about the variable.  It is an important
> variable and users should know what spell checker is being used.

Then I'm sorry, but we will have to agree to disagree on that.

> > IOW, spelling with aspell in Emacs should work as long as invoking
> > aspell from the shell prompt works. If it doesn't work to invoke
> > aspell from the shell prompt, then you should first correct your
> > system's configuration so that it does.
> 
> Correct, but it is hard to understand what spelling program is being used.

You can always ask.  Like here: you asked and got the answer.

> Gnu packages should work well together.  The Gnu Aspell manual says that 
> Aspell is a Free and Open Source spell checker designed to eventually replace
> Ispell.This creates confusion and emacs should stop using ispell by name,
> except when it is actually using the ispell checker.

You are again sticking to the name.  The name is not important: I'm
quite sure Emacs was using aspell on your system (if it is installed),